Skip to main content
`Ctrl`+`K`

# PetscDrawAxisSetLimits

Sets the limits (in user coords) of the axis

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawAxisSetLimits(PetscDrawAxis axis, PetscReal xmin, PetscReal xmax, PetscReal ymin, PetscReal ymax)

Logically Collective

## Input Parameters

- axis - the axis

- xmin - the lower x limit

- xmax - the upper x limit

- ymin - the lower y limit

- ymax - the upper y limit

## Options Database Key

- -drawaxis_hold - hold the initial set of axis limits for future plotting

## See Also

`PetscDrawAxisSetHoldLimits()`, `PetscDrawAxisGetLimits()`, `PetscDrawAxisSetLabels()`, `PetscDrawAxisSetColors()`

## Level

advanced

## Location

src/sys/classes/draw/utils/axisc.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages